#!/usr/bin/perl

my $debug=1;

use strict;
use DBI;
use CGI qw/:cgi/;
use CGI::Carp qw/fatalsToBrowser/;
my $q=new CGI;
my $dbh=&connect('mysql','waterway:localhost','waterway','whlr5r');
print "Content-type: text/html\n\n";
my $id=$q->param('id');
unless ($id) {
	print "No book.id value was entered.";
	exit;
}
my %book=&getHash("SELECT * FROM book WHERE book_id=".$dbh->quote($id));
my $cost=($q->param('cost'))?$q->param('cost'):$book{cost};
my $available=($q->param('available'))?$q->param('available'):$book{available};
my $price=($q->param('price'))?$q->param('price'):$book{price};
my %member=&getHash("SELECT * FROM _members WHERE email=".$dbh->quote($book{_owner}));
unless ($member{canadd}=~/book/) {
	print "Invalid Privileges.";
	exit;
}
$available=$book{available} unless length($available);
$cost=$book{cost} unless length($cost);
$price=$book{price} unless length($price);
 my $statement="UPDATE book SET cost=".$dbh->quote($cost).", available=".
              $dbh->quote($available).", price=".$dbh->quote($price).
			  " WHERE book_id=$id";
print "$statement<HR>" if $debug;
my $num=$dbh->do($statement) or die "Error: $statement <BR><BR> $DBI::errstr";
if ($num eq "0E0") {print "Error: $statement; $DBI::errstr";exit};
print "Update Successful. $statement; $num rows changed.";




sub getHash {
	my $statement=$_[0];
	print "$statement<HR>" if $debug;
	my $sth=$dbh->prepare($statement);
	my $num=$sth->execute();
	if ($num eq "0E0") {
		print "No records found in $statement";
		exit;
	}
	while (my $hashref=$sth->fetchrow_hashref) {
		my %data=%$hashref;
		return %data;
	}
}

sub connect {
#@_=(driver,database,username,password)
#Log into the database
my $dbh = DBI->connect("dbi:$_[0]:$_[1]","$_[2]","$_[3]") or 
          &error("Content-type: text/html\n\nCould not connect to \"dbi:$_[0]:$_[1]\",\"$_[2]\"<P>$DBI::errstr");
return $dbh;
}


